Page MenuHomePhabricator

Figure out a cross-DC strategy for the BloomFilter caches
Closed, DeclinedPublic

Description

These are used to avoid spamming the logging table servers we route traffic to for MW. They are disable now (T92591). Ideally these could just separately poll themselves up to date rather than use SPOFy master/slave setups. This would work cross-DC too. Disabling AoF and using daily RDB snapshots might handle persistence (or we could just have none). MW already knows when the filter is stale and avoids in in such cases.

Event Timeline

aaron created this task.Mar 17 2015, 8:33 PM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added projects: Epic, MediaWiki-Core-Team.
aaron removed a project: Epic.
aaron set Security to None.
aaron added subscribers: Joe, Krenair, PleaseStand and 4 others.

Change 199514 had a related patch set uploaded (by Aaron Schulz):
[WIP] Made bloom filter servers just tail updates from slaves

https://gerrit.wikimedia.org/r/199514

aaron renamed this task from Figure out a strategy for the BloomFilter caches to Figure out a cross-DC strategy for the BloomFilter caches.Mar 24 2015, 10:30 PM
Gilles added a subscriber: Gilles.Apr 2 2015, 12:23 PM

Change 199514 abandoned by Aaron Schulz:
[WIP] Made bloom filter servers just tail updates from slaves

https://gerrit.wikimedia.org/r/199514

aaron closed this task as Declined.Apr 3 2015, 8:58 AM

Easiest to leave them off (as they are right now).

Change 201684 had a related patch set uploaded (by Aaron Schulz):
Removed BloomFilter classes

https://gerrit.wikimedia.org/r/201684

Change 201684 merged by jenkins-bot:
Removed BloomFilter classes

https://gerrit.wikimedia.org/r/201684

faidon added a subscriber: faidon.Apr 3 2015, 11:00 AM

@aaron, do I understand this right that rbf100x aren't used/going to be used? Do we need to decommission those servers or are you planning on using them somehow? If it's the former, we'll need a separate task for this.

aaron added a comment.Apr 3 2015, 4:13 PM

Yep, decom process can start.

Change 201997 had a related patch set uploaded (by Faidon Liambotis):
Remove bloom filter store configuration

https://gerrit.wikimedia.org/r/201997

Change 201997 merged by jenkins-bot:
Remove bloom filter store configuration

https://gerrit.wikimedia.org/r/201997